com.mysql.cj.util

## Class LogUtils

- java.lang.Object
- - com.mysql.cj.util.LogUtils

    public class LogUtils
    extends Object

### Field Summary

Fields
`static String` `CALLER_INFORMATION_NOT_AVAILABLE`
`private static String` `LINE_SEPARATOR`
`private static int` `LINE_SEPARATOR_LENGTH`

### Constructor Summary

Constructors
Constructor and Description
`LogUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `findCallingClassAndMethod(Throwable t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CALLER_INFORMATION_NOT_AVAILABLE

    public static final String CALLER_INFORMATION_NOT_AVAILABLE

See Also:
  Constant Field Values

#### LINE_SEPARATOR

    private static final String LINE_SEPARATOR

#### LINE_SEPARATOR_LENGTH

    private static final int LINE_SEPARATOR_LENGTH

### Constructor Detail

#### LogUtils

    public LogUtils()

### Method Detail

#### findCallingClassAndMethod

    public static String findCallingClassAndMethod(Throwable t)

Copyright © 2016, 2025, Oracle and/or its affiliates.